#!/bin/sh

#########################################################################################
### Possible exit codes.  0 = Failure, 1 = Success, BLANK = Non-Critical failure
#########################################################################################
 
if [ $2 = 1 ]
then
 
###########################################################################################
### HTML layout for SUCCESS message to end user, 
### $1 = Email
### $2 = Exit Code
### $3 = Host Name
### $4 = Type of Backup
###########################################################################################

###########################################################################################
### E-Mail handling routine.  If success, email end user and log.  
### If fail, note in log.txt
###########################################################################################
# /usr/local/bin/postie -gmt -host:smtp.mail.com -to:$1
# -from:BackupPC@ma... -s:"Asset Tag: "$3
# -a:/backupdata/conf/success/$1.html -nomsg

## Pause 5 min to allow the log file to be written
## sleep 300

 /bin/echo $3" Successful "$4" Backup" > /etc/BackupPC/success/$1.html 
 /bin/echo "" >> /etc/BackupPC/success/$1.html

 backuplog=`ls -t /var/resource/backups/pc/$3/XferLOG.*.z | /usr/bin/head -1`
 /bin/echo $backuplog >> /etc/BackupPC/success/$1.html
 /bin/echo "" >> /etc/BackupPC/success/$1.html

 /usr/local/BackupPC/bin/BackupPC_zcat \
	$backuplog | /usr/bin/tail -n 20 \
	>> /etc/BackupPC/success/$1.html

 /bin/mail -s  $3" Successful "$4" Backup" $1 < /etc/BackupPC/success/$1.html

 /bin/echo `date` $4" Successful Completion E-Mail sent to:("$1")" >> /etc/BackupPC/log.txt

else

## Pause 5 min to allow the log file to be written
## sleep 300

 /bin/echo $3" "$4" Backup NOT Complete" > /etc/BackupPC/failure/$1.html 
 /bin/echo "" >> /etc/BackupPC/failure/$1.html

 backuplog=`ls -t /var/resource/backups/pc/$3/XferLOG.*.z | /usr/bin/head -1`

 /bin/echo $backuplog >> /etc/BackupPC/failure/$1.html
 /bin/echo "" >> /etc/BackupPC/failure/$1.html

 /usr/local/BackupPC/bin/BackupPC_zcat \
	$backuplog | /usr/bin/tail -n 20 \
	>> /etc/BackupPC/failure/$1.html

 /bin/mail -s  $3" "$4" Backup NOT Complete" $1 < /etc/BackupPC/failure/$1.html

 /bin/echo `date` $4" Failure E-Mail sent to:("$1")" >> /etc/BackupPC/log.txt

fi
